BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 06-16-2005, 10:41 AM   #1 (permalink)
Thumbs Must Hurt
 
Join Date: Jun 2005
Model: 9000
Carrier: Rogers
Posts: 89
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default Blackberry Operating System 4.0

Please Login to Remove!

Does 4.0 allow me to use Javascript? I am afraid to upgrade my OS just cause I'm really really new to all this. But if it allows me to use javascript I'll risk it.

Are there any risks???

Thanks!
Offline  
Old 06-16-2005, 10:46 AM   #2 (permalink)
Talking BlackBerry Encyclopedia
 
Join Date: May 2005
Location: Baltimore, MD
Model: Pearl
Carrier: T-Mobile
Posts: 210
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

4.0 supports the following: ECMA-262 ECMAScript Language Specification, JavaScript 1.0, 1.1, 1.2, 1.3, Small subsets of JavaScript 1.4 and 1.5

The only quirk I've seen when upgrading is that it doesn't always put the proper applications back on, which is easy to remedy. I only had this happen to 1 of the 5 Berries I upgraded.

Regardless of jscript, I'd say it's a worthwhile upgrade.
__________________
Jay™

Nextel 7520 | BES 4.0 | HS810 Headset
PIN: 400809E0

"a One that isn't cold is scarcely a One at all"
Offline  
Old 06-16-2005, 10:53 AM   #3 (permalink)
Thumbs Must Hurt
 
Join Date: Jun 2005
Model: 9000
Carrier: Rogers
Posts: 89
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Thanks Jay! Where can I go to upgrade? My blackberry is a 7250. Is there a website? Or do I have to use the application?
Offline  
Old 06-16-2005, 10:56 AM   #4 (permalink)
Talking BlackBerry Encyclopedia
 
Join Date: May 2005
Location: Baltimore, MD
Model: Pearl
Carrier: T-Mobile
Posts: 210
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

It's listed in the FAQ: Click Here
__________________
Jay™

Nextel 7520 | BES 4.0 | HS810 Headset
PIN: 400809E0

"a One that isn't cold is scarcely a One at all"
Offline  
Old 06-16-2005, 12:15 PM   #5 (permalink)
Thumbs Must Hurt
 
Join Date: Jun 2005
Model: 9000
Carrier: Rogers
Posts: 89
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

So I upgraded to 4.0, wasn't a problem at all. Thanks for all your help! One question, my regular Browser works fine, but doesn't support Javascript, however, it installed a new "WAP" browser that does. Only thing is, my regular browswer has nice colourful pictures, whereas the WAP browswer is more text driven, but supports Java.

Is this normal?
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright © 2004-2014 BlackBerryForums.com.
The names RIM © and BlackBerry © are registered Trademarks of BlackBerry Inc.